Package org.apache.sling.testing.resourceresolver

# Class MockResourceResolverFactoryOptions

java.lang.Object
org.apache.sling.testing.resourceresolver.MockResourceResolverFactoryOptions

public class MockResourceResolverFactoryOptions extends Object
Options for the factory

## Constructor Summary

Constructors
Constructor
Description
`MockResourceResolverFactoryOptions()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addFindResourceHandler(@NotNull MockFindResourcesHandler handler)`
`void`
`addQueryResourceHandlerInternal(@NotNull MockQueryResourceHandler handler)`
`@Nullable org.osgi.service.event.EventAdmin`
`getEventAdmin()`
`@NotNull List<MockFindResourcesHandler>`
`getFindResourcesHandlers()`
`@NotNull MockResourceFactory`
`getMockResourceFactory()`
`@NotNull List<MockQueryResourceHandler>`
`getQueryResourcesHandlers()`
`String @NotNull []`
`getSearchPaths()`
`boolean`
`isMangleNamespacePrefixes()`
`@NotNull MockResourceResolverFactoryOptions`
`setEventAdmin(@Nullable org.osgi.service.event.EventAdmin eventAdmin)`
`@NotNull MockResourceResolverFactoryOptions`
`setMangleNamespacePrefixes(boolean mangleNamespacePrefixes)`
`@NotNull MockResourceResolverFactoryOptions`
`setMockResourceFactory(MockResourceFactory factory)`
`@NotNull MockResourceResolverFactoryOptions`
`setSearchPaths(@NotNull String @Nullable [] searchPaths)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MockResourceResolverFactoryOptions

public MockResourceResolverFactoryOptions()

## Method Details

### getEventAdmin

@Nullable public @Nullable org.osgi.service.event.EventAdmin getEventAdmin()

### setEventAdmin

@NotNull public @NotNull MockResourceResolverFactoryOptions setEventAdmin(@Nullable @Nullable org.osgi.service.event.EventAdmin eventAdmin)

### getSearchPaths

public String @NotNull [] getSearchPaths()

### setSearchPaths

@NotNull public @NotNull MockResourceResolverFactoryOptions setSearchPaths(@NotNull @NotNull String @Nullable [] searchPaths)

### isMangleNamespacePrefixes

public boolean isMangleNamespacePrefixes()

### setMangleNamespacePrefixes

@NotNull public @NotNull MockResourceResolverFactoryOptions setMangleNamespacePrefixes(boolean mangleNamespacePrefixes)

### getMockResourceFactory

@NotNull public @NotNull MockResourceFactory getMockResourceFactory()

### setMockResourceFactory

@NotNull public @NotNull MockResourceResolverFactoryOptions setMockResourceFactory(MockResourceFactory factory)

### addFindResourceHandler

public void addFindResourceHandler(@NotNull @NotNull MockFindResourcesHandler handler)

### getFindResourcesHandlers

@NotNull public @NotNull List<MockFindResourcesHandler> getFindResourcesHandlers()

### addQueryResourceHandlerInternal

public void addQueryResourceHandlerInternal(@NotNull @NotNull MockQueryResourceHandler handler)

### getQueryResourcesHandlers

@NotNull public @NotNull List<MockQueryResourceHandler> getQueryResourcesHandlers()